Bug 566767 - [Emulex 5.6 bug] kABI whitelist request for lpfc
[Emulex 5.6 bug] kABI whitelist request for lpfc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
high Severity high
: rc
: 5.6
Assigned To: Jon Masters
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: 557597 626671
  Show dependency treegraph
 
Reported: 2010-02-19 11:27 EST by Vaios Papadimitriou
Modified: 2011-01-13 16:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rhel56-kabi-whitelist-add-pci-symbols.patch (29.99 KB, patch)
2010-09-07 03:31 EDT, Jon Masters
no flags Details | Diff
rhel56-kabi-whitelist-add-scsi-symbols.patch (67.48 KB, patch)
2010-09-07 03:34 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Vaios Papadimitriou 2010-02-19 11:27:44 EST
Description of problem:
The last-submitted LPFC driver version 8.2.0.63.3p for RHEL5.5 inclusion, uses the following symbols that will need to be added to the RHEL5.5 kabi_whitelist:

  pci_request_selected_regions
  pci_release_selected_regions
  pci_disable_pcie_error_reporting
  pci_cleanup_aer_uncorrect_error_status
  pci_select_bars
  fc_vport_create
  pci_enable_pcie_error_reporting


This is the output of the abi_check.py script:

# ~/abi_check.py lpfc.ko
Red Hat Enterprise Linux 5 ABI Checker
--------------------------------------

ABI Checker version: 1.2

Module:    lpfc.ko
Kernel:    2.6.18-186.el5
Whitelist: /usr/src/kernels/2.6.18-186.el5-x86_64/kabi_whitelist

WARNING: The following symbols are used by your module
WARNING: and are not on the ABI whitelist.

symbol: pci_request_selected_regions
symbol: pci_release_selected_regions
symbol: pci_disable_pcie_error_reporting
symbol: pci_cleanup_aer_uncorrect_error_status
symbol: pci_select_bars
symbol: fc_vport_create
symbol: pci_enable_pcie_error_reporting

#
Comment 1 Andrius Benokraitis 2010-02-19 12:05:28 EST
We are at the end of RHEL 5.5. Unfortunately this isn't going to make it. Deferring to 5.6.
Comment 2 Joseph Mann 2010-04-30 11:29:37 EDT
The following symbols are used by LPFC driver version 8.2.0.74.1p for RHEL5.6 inbox inclusion. These symbols will need to be added to the RHEL5.6 kernel api whitelist. (This check was done against the RHEL5.5 GA kernel)

pci_request_selected_regions
pci_release_selected_regions
pci_disable_pcie_error_reporting
pci_cleanup_aer_uncorrect_error_status
pci_select_bars
fc_vport_create
pci_enable_pcie_error_reporting
Comment 3 Jon Masters 2010-08-24 00:53:21 EDT
Please can you let me know whether you are making this request solely because you intend to have this driver included *within* the RHEL5.6 kernel? If this is the case, this is not a bug, because we do not need all symbols for all internal drivers to be on the whitelist. The drivers internally are self-consistent. Please update this bug, or close it accordingly. Thanks.
Comment 5 Jon Masters 2010-09-07 03:31:59 EDT
Created attachment 443424 [details]
rhel56-kabi-whitelist-add-pci-symbols.patch
Comment 6 Jon Masters 2010-09-07 03:34:04 EDT
Created attachment 443431 [details]
rhel56-kabi-whitelist-add-scsi-symbols.patch
Comment 7 Jon Masters 2010-09-07 03:39:36 EDT
Thank you for filing your request to update our kernel ABI whitelists. We are now reviewing your request and will endeavor to provide an update in due course.
Comment 10 Jarod Wilson 2010-09-21 16:59:43 EDT
in kernel-2.6.18-223.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 14 errata-xmlrpc 2011-01-13 16:07:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.